%define name 	scite
%define version 1.79
%define release %mkrel 5

%define scitever %(echo %{version} | sed -e 's/\\.//')

Summary: 	GTK text editor based on scintilla
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Editors
Url: 		http://www.scintilla.org/SciTE.html
Source: 	http://prdownloads.sourceforge.net/scintilla/scite%scitever.tgz
Source1:	scite.cmake
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk+2-devel pkgconfig
BuildRequires:	desktop-file-utils
BuildRequires:	cmake >= 2.6
BuildRequires:	lua-devel >= 5.1
BuildRequires:	scintilla-devel >= 1.79
BuildRequires:	perl

%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%prep
%setup -q -n scite
cp %SOURCE1 $RPM_BUILD_DIR/scite/CMakeLists.txt
rm -fr $RPM_BUILD_DIR/scintilla
perl -p -i -e 's/netscape/www-browser/g' src/Embedded.properties
perl -p -i -e 's/netscape/www-browser/g' src/SciTEGlobal.properties

%build
%{cmake}
%make

%install
rm -fr $RPM_BUILD_ROOT
cd build
%{makeinstall_std}

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	%buildroot%_datadir/applications/*.desktop

%clean
rm -fr $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc doc/*
%_bindir/SciTE
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_mandir/man1/*


%changelog
* Fri Oct 30 2009 Raphaël Gertz <rapsys@mandriva.org> 1.79-5mdv2010.1
+ Revision: 460212
- Remove libscintilla require that should be autodetected

* Thu Oct 29 2009 Anne Nicolas <anne.nicolas@mandriva.com> 1.79-4mdv2010.0
+ Revision: 460101
- rebuild against last libscintilla1 (rapsys)

* Tue Oct 27 2009 Funda Wang <fundawang@mandriva.org> 1.79-3mdv2010.0
+ Revision: 459453
- fix bug#54847 (scite does not recognize any languages)

* Mon Jul 20 2009 Raphaël Gertz <rapsys@mandriva.org> 1.79-2mdv2010.0
+ Revision: 398024
- Add scintilla require
- Fix buildrequire
- Fix share install path
- Add cmake dep
- Use new separated scintilla library
  Alternate build system
- New buildsystem to split scintlla and scite and remove static link

* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 1.79-1mdv2010.0
+ Revision: 392597
- update to new version 1.79

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 1.78-1mdv2010.0
+ Revision: 369523
- 1.78

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.77-1mdv2009.1
+ Revision: 333008
- New upstream release

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.74-4mdv2009.0
+ Revision: 260554
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.74-3mdv2009.0
+ Revision: 252142
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.74-1mdv2008.1
+ Revision: 140776
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 1.74-1mdv2008.0
+ Revision: 66556
- New version 1.74


* Fri Nov 17 2006 Olivier Blin <oblin@mandriva.com> 1.71-1mdv2007.0
+ Revision: 85065
- 1.71
- Import scite

* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 1.67-1mdk
- 1.67

* Sun Aug 28 2005 Austin Acton <austin@mandriva.org> 1.66-1mdk
- 1.66
- use www-broser instead of mozilla

* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 1.65-1mdk
- 1.65

* Thu Nov 11 2004 Austin Acton <auustin@mandrake.org> 1.62-1mdk
- 1.62
- fix menu

* Wed Jun 02 2004 Austin Acton <austin@mandrake.org> 1.61-1mdk
- 1.61
- new menu location

* Sun Jan 11 2004 Austin Acton <austin@linux.ca> 1.58-1mdk
- 1.58
- lib64 fix for buildrequires

* Sun Nov 30 2003 Austin Acton <austin@linux.ca> 1.57-1mdk
- 1.57

